package com.kingdee.eas.custom.esign;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class EsignLogCollection extends AbstractObjectCollection 
{
    public EsignLogCollection()
    {
        super(EsignLogInfo.class);
    }
    public boolean add(EsignLogInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(EsignLogCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(EsignLogInfo item)
    {
        return removeObject(item);
    }
    public EsignLogInfo get(int index)
    {
        return(EsignLogInfo)getObject(index);
    }
    public EsignLogInfo get(Object key)
    {
        return(EsignLogInfo)getObject(key);
    }
    public void set(int index, EsignLogInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(EsignLogInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(EsignLogInfo item)
    {
        return super.indexOf(item);
    }
}